version: '3.8'

services:
  moderation-daemon:
    container_name: moderation-daemon
    build: .
    networks:
      - app-network
    environment:
      - KAFKA_BROKER=kafka:9092
      - KAFKA_GROUP_ID=moderation-service-group
      - KAFKA_INPUT_TOPIC=comments-for-moderation
      - KAFKA_OUTPUT_TOPIC=moderation-results

  zookeeper:
    container_name: zookeeper
    image: confluentinc/cp-zookeeper
    ports:
      - "2181:2181"
    networks:
      - app-network
    environment:
      ZOOKEEPER_CLIENT_PORT: 2181

  kafka:
    container_name: kafka
    image: confluentinc/cp-kafka
    ports:
      - "9092:9092"
    networks:
      - app-network
    environment:
      KAFKA_BROKER_ID: 1
      KAFKA_ZOOKEEPER_CONNECT: zookeeper:2181
      KAFKA_ADVERTISED_LISTENERS: PLAINTEXT://kafka:9092
      KAFKA_OFFSETS_TOPIC_REPLICATION_FACTOR: 1
      KAFKA_CREATE_TOPICS: "comments-for-moderation:1:1,moderation-results:1:1"
    depends_on:
      - zookeeper

networks:
  app-network:
    external: true